FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202102200141.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202102200141.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=885fb55 OS_GIT_VERSION=4.6.0-202102200141.p0-885fb55 SOURCE_DATE_EPOCH=1610682026 SOURCE_GIT_COMMIT=885fb55e59fe360b17f9f8eb3c0aebd1d5f49987 SOURCE_GIT_TAG=v3.11.0-867-g885fb55e SOURCE_GIT_URL=https://github.com/openshift/coredns 
WORKDIR /go/src/github.com/coredns/coredns
COPY . .
RUN GO111MODULE=on GOFLAGS=-mod=vendor go build -o coredns .

FROM openshift/ose-base:v4.6.0.20210220.022506
ENV __doozer=update BUILD_RELEASE=202102200141.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202102200141.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=885fb55 OS_GIT_VERSION=4.6.0-202102200141.p0-885fb55 SOURCE_DATE_EPOCH=1610682026 SOURCE_GIT_COMMIT=885fb55e59fe360b17f9f8eb3c0aebd1d5f49987 SOURCE_GIT_TAG=v3.11.0-867-g885fb55e SOURCE_GIT_URL=https://github.com/openshift/coredns 
COPY --from=builder /go/src/github.com/coredns/coredns/coredns /usr/bin/

ENTRYPOINT ["/usr/bin/coredns"]

LABEL \
        io.k8s.display-name="CoreDNS" \
        io.k8s.description="CoreDNS delivers the DNS and Discovery Service for a Kubernetes cluster." \
        maintainer="dev@lists.openshift.redhat.com" \
        name="openshift/ose-coredns" \
        com.redhat.component="coredns-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="DNS" \
        release="202102200141.p0" \
        io.openshift.build.commit.id="885fb55e59fe360b17f9f8eb3c0aebd1d5f49987" \
        io.openshift.build.source-location="https://github.com/openshift/coredns" \
        io.openshift.build.commit.url="https://github.com/openshift/coredns/commit/885fb55e59fe360b17f9f8eb3c0aebd1d5f49987" \
        version="v4.6.0"

